WordPress.org

Support

Support » Plugins and Hacks » WordPress HTTPS (SSL) » Stripe Compatibility?

Stripe Compatibility?

  • I’m looking to implement Stripe which strongly recommends using https. When activated, everything appears to work in Chrome however IE and Firefox throw an error:

    js.stripe.com must be accessed via SSL. Try changing your script tag to: <script src=”https://js.stripe.com/v2/”></script>

    I think the Stripe plugin is calling the https and it’s being redirected as http. Is there an forced exception formula that works for Stripe files? Ideally the site is regular http and only the checkout page is https.

    http://wordpress.org/plugins/wordpress-https/

Viewing 1 replies (of 1 total)
  • Hello, I am having the same issue. I am using th WP Full Stripe Plugin with this one. I am told that this HTTPS plugin I am using is actually re-writing the code from WP Full Stripe to the non secure version on pages you designate non-https. Full Stripe ALWAYS uses the secure version.

    So, I am getting the same mesage js.stripe.com must be accessed via SSL on my non https pages. “Try changing your script tag to: <script src=”https://js.stripe.com/v2/”></script>” when using mobile browswers.

    Any devs have a workaround on this?! Thank You.

Viewing 1 replies (of 1 total)
  • The topic ‘Stripe Compatibility?’ is closed to new replies.
Skip to toolbar